using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UltraGrid_ExcelExportMulti
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            grid1.DataSource = DataMaker.OneBand;
            grid2.DataSource = DataMaker.TwoBands;
            grid3.DataSource = DataMaker.ThreeBands;
        }

        private void btnExportGrids_Click(object sender, EventArgs e)
        {
            Infragistics.Documents.Excel.Workbook workbook = new Infragistics.Documents.Excel.Workbook();
            Infragistics.Documents.Excel.Worksheet worksheet1 = workbook.Worksheets.Add("Grid 1");
            Infragistics.Documents.Excel.Worksheet worksheet2 = workbook.Worksheets.Add("Grid 2");
            Infragistics.Documents.Excel.Worksheet worksheet3 = workbook.Worksheets.Add("Grid 3");

            ultraGridExcelExporter1.Export(grid1, worksheet1);
            ultraGridExcelExporter1.Export(grid2, worksheet2);
            ultraGridExcelExporter1.Export(grid3, worksheet3);

            try
            {
                // Save the created workbook
                workbook.Save("output.xls");
                // Open the workbook to display the results
                System.Diagnostics.Process.Start("output.xls");
            }
            catch
            {
                MessageBox.Show("Please close any open instances of Excel.",
                    "Error Opening Workbook",
                    MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }

        }
    }
}